aboutsummaryrefslogtreecommitdiffstats
path: root/package/base-files/files/bin
diff options
context:
space:
mode:
authorMike Baker <mbm@openwrt.org>2007-05-10 19:41:07 +0000
committerMike Baker <mbm@openwrt.org>2007-05-10 19:41:07 +0000
commit4bc5cb30d3333a088eaf1212c58d677773110a48 (patch)
tree97e1ddcb17d8fc723fe367981138b5abe07cfafa /package/base-files/files/bin
parent6d97d7af8c495d126daf51bae3e1efaa124787f6 (diff)
downloadupstream-4bc5cb30d3333a088eaf1212c58d677773110a48.tar.gz
upstream-4bc5cb30d3333a088eaf1212c58d677773110a48.tar.bz2
upstream-4bc5cb30d3333a088eaf1212c58d677773110a48.zip
tweaks for 2M devices
SVN-Revision: 7179
Diffstat (limited to 'package/base-files/files/bin')
-rwxr-xr-xpackage/base-files/files/bin/firstboot3
1 files changed, 2 insertions, 1 deletions
diff --git a/package/base-files/files/bin/firstboot b/package/base-files/files/bin/firstboot
index 267e6732d9..5c11623b48 100755
--- a/package/base-files/files/bin/firstboot
+++ b/package/base-files/files/bin/firstboot
@@ -79,11 +79,12 @@ ramoverlay() {
}
[ "$1" = "switch2jffs" ] && {
+ mount "$mtdpart" /rom/jffs -t jffs2 || exit
+
# try to avoid fs changing while copying
mount -o remount,ro none / 2>&-
# copy ramoverlay to jffs2
- mount "$mtdpart" /rom/jffs -t jffs2
echo -n "copying files ... "
cp -a /tmp/root/* /rom/jffs 2>&-
echo "done"